/**
* 根据服务器端传回的格式化图片资源字符串，返回图片数组
* 传入格式：[cms4j:pic]编号;图片路径[/cms4j:pic]@
* 返回格式: [[ID,SIZE,URL],[ID,SIZE,URL]]
*/
function getPicArray(picStr){
	var picArray = [];
	var a = picStr.split("@");
	for(var i = 0 ;i<a.length;i++){
		picArray[i] = getPicInfoArray(a[i]);
	}	
	
	return picArray;
}


/**
* 根据服务器端传回的格式化图片资源字符串，返回<img>HTML代码
* 传入格式：[cms4j:pic]编号;图片路径[/cms4j:pic]@
* 返回格式: [[ID,URL],[ID,URL]]
*/
function getPicImageCode(picStr){
	var picArray = getPicArray(picStr);
	var html = "";
	
	for(var i = 0; i < picArray.length; i++){
		if(html==""){
			html = '<p>&nbsp;</p><p style="text-align:center"><img src="' + picArray[i][2] + '" border="0" id="' + splitPicStr(picStr)[i] + '"></p>';	
		}else{
			html = html +  '<p>&nbsp;</p><p style="text-align:center"><img src="' + picArray[i][2] + '" border="0" id="' + splitPicStr(picStr)[i] + '"></p>';	
		}
	}
	
	return html;
	
}

/**
* 根据服务器端传回的格式化图片资源字符串，返回图片链接HTML代码
* 传入格式：[cms4j:pic]编号;图片路径[/cms4j:pic]@
* 返回格式: [[ID,URL],[ID,URL]]
*/
function getPicLinkCode(picStr){
	var picArray = getPicArray(picStr);
	var html = "";
	
	for(var i = 0; i < picArray.length; i++){
		html = html +  "&nbsp;<a href='" + picArray[i][2] + "' target='_blank' id='" + splitPicStr(picStr)[i] + "'>图片" + picArray[i][0] + "</a>&nbsp;";
	}
	return html;
}


/**
* 根据服务器端传回的格式化图片资源字符串，分隔出各个图片对象
* 传入格式：[cms4j:pic]编号;图片路径[/cms4j:pic]@
* 返回格式：["[cms4j:pic]编号;图片路径[/cms4j:pic]","[cms4j:pic]编号;图片路径[/cms4j:pic]"]
*/
function splitPicStr(picStr){
	return picStr.split("@");
}

/**
* 根据服务器端传回的格式化图片资源字符串，分隔出图片的URL
* 传入格式: [cms4j:pic]编号;图片路径[/cms4j:pic]
* 返回格式: 图片路径
*/
function getPicURL(picStr){
	return getPicInfoArray(picStr)[2];
}

/**
* 根据服务器端传回的格式化图片资源字符串，分隔出图片的大小
* 传入格式: [cms4j:pic]编号;图片路径[/cms4j:pic]
* 返回格式: 图片大小，原图为空
*/
function getPicSize(picStr){
	return getPicInfoArray(picStr)[1];
}

/**
* 根据服务器端传回的格式化图片资源字符串，分隔出图片的ID
* 传入格式: [cms4j:pic]编号;图片路径[/cms4j:pic]
* 返回格式: 编号
*/
function getPicID(picStr){
	return getPicInfoArray(picStr)[0];
}

/**
* 根据服务器端传回的格式化图片资源字符串，返回图片信息数组
* 传入格式: [cms4j:pic]编号;规格;图片路径[/cms4j:pic]
* 返回格式: ["编号","规格","图片路径"]
*/
function getPicInfoArray(picStr){
	var startIndex = picStr.indexOf("[cms4j:pic]");
	var endIndex = picStr.indexOf("[/cms4j:pic]");
	var t = picStr.substring(startIndex + "[cms4j:pic]".length, endIndex);
	var t2 = t.split(";");
	
	//如果分隔后，只有编号与路径，则代表是原图，则将路径放到第3位，第2位置空
	if(t2.length == 2){
		t2[2] = t2[1];
		t2[1] = "0";
	}
	return t2;
}